#include <iostream>

using namespace std;

// 宣告類別
class Demo {
// 宣告 public 的成員
public:
    void set_a(int n);
    void set_b(int n);
    int get_a();
    int get_b();
    int DoSomething();

// 宣告 private 的成員
private:
    int a;
    int b;
};

// 實作 DoSomething() 成員函數
int Demo::DoSomething() {
    // 改成呼叫 getter 成員函數
    return get_a() + get_b();
}

// 實作 setter 與 getter 成員函數
void Demo::set_a(int n) {
    a = n;
}

void Demo::set_b(int n) {
    b = n;
}

int Demo::get_a() {
    return a;
}

int Demo::get_b() {
    return b;
}

// 程式執行的 main() 函數
int main(void) {
    // 宣告 Demo 型態的物件
    Demo t;
    // 由呼叫 setter 設定成員變數
    t.set_a(12);
    t.set_b(23);

    cout << endl << t.DoSomething() << endl << endl;

    return 0;
}

/* 《程式語言教學誌》的範例程式
   http://kaiching.org/
   檔名：class_demo2.cxx
   功能：示範定義類別
   作者：張凱慶 */
