import QtQuick

Window {
    width: 600
    height: 100
    visible: true
    title: qsTr("現在日期時間")

    Column {
        anchors.centerIn: parent
        spacing: 10
        Text {
            id: currentTime
            font.pointSize: 32
        }
    }

    Timer {
        id: timer
        interval: 1000
        running: true
        repeat: true
        onTriggered: currentTime.text = Qt.formatDateTime(new Date(), "yyyy-MM-dd hh:mm:ss")
    }

    Component.onCompleted: {
        timer.start()
    }
}

/* 《程式語言教學誌》的範例程式
   http://kaiching.org/
   檔名：main.qml
   功能：示範
   作者：張凱慶 */
