import QtQuick
import QtQuick.Controls

ApplicationWindow {
    width: 500
    height: 500
    visible: true
    title: qsTr("你好世界")

    Button {
        width: 100
        height: 100
        anchors.centerIn: parent
        text: qsTr("打開對話視窗")
        onClicked: dialog.open()
    }

    Dialog {
        id: dialog
        title: qsTr("你好世界")
        anchors.centerIn: parent
        standardButtons: Dialog.Ok | Dialog.Cancel

        onAccepted: console.log("Ok clicked")
        onRejected: console.log("Cancel clicked")
    }
}

/* 《程式語言教學誌》的範例程式
   http://kaiching.org/
   檔名：main.qml
   功能：示範 Dialog 型態
   作者：張凱慶 */
