// 引入標準程式庫中的 iostream
#include <iostream>
// 引入 Encrypt 類別的標頭檔
#include "encrypt01.h"

// 使用 std 中的兩個名稱
using std::cout; // 標準輸出串流的物件
using std::endl; // 新行符號，等於 '\n'

// 程式執行的 main() 函數
int main() {
    // 印出空白一行
    cout << endl;

    // 建立 Encrypt 物件
    Encrypt encryptor;
    // 印出密碼表字串
    cout << encryptor.get_code_array() << endl << endl;

    // 印出準備編碼的字串
    string d = "There is no spoon.";
    cout << d << endl;

    // 將字串編碼，然後印出編碼結果
    string r1 = encryptor.ToEncode(d);
    cout << r1 << endl << endl;

    return 0;
}

/* 《程式語言教學誌》的範例程式
   http://kaiching.org/
   檔名：encrypt_demo02.cxx
   功能：實作發展中版本 Encrypt 類別的測試程式
   作者：張凱慶 */
