#ifndef ENCRYPT_H
#define ENCRYPT_H

// 從標準程式庫中引入 string
#include <string>

// 使用 std 中的 string 名稱
using std::string;

// 宣告 Encrypt 類別
class Encrypt {
public:
    // 宣告建構函數
    Encrypt(string s = "");
    // 宣告 setter 成員函數
    void set_code_array(string);
    // 宣告 getter 成員函數
    string get_code_array();
    // 宣告編碼、解碼的成員函數
    string ToEncode(string);
    string ToDecode(string);

private:
    // 密碼表字串
    string code_array;
    // 字母表字串
    string alphabet_array;
};

/* 《程式語言教學誌》的範例程式
   http://kaiching.org/
   檔名：encrypt.h
   功能：Encrypt 類別的標頭檔
   作者：張凱慶 */

#endif // ENCRYPT_H
