// 引入標準程式庫中相關的輸入、輸出程式
#include <iostream>

// std 為標準程式庫的命名空間
using namespace std;

int main(void) {
    // 下面建立名稱為 m ， string 型態的物件
    // 小括弧為 string 的建構子，雙引號為字串字面常數
    string m;

    string m_b("訊息前的字串內容");
    string m_a("訊息後的字串內容");

    // cout 用來輸出的物件， endl 為新行符號 '\n'
    getline(cin, m);
    cout << endl;
    cout << m_b << endl;
    cout << m << endl;
    cout << m_a << endl;
    cout << endl;

    // 最後回傳 0 給作業系統
    return 0;
}

/* 《程式語言教學誌》的範例程式
   http://kaiching.org/
   檔名：exercise0107.cxx
   編譯：g++ exercise0107.cxx
   執行：./a.out
   功能：C++入門指南單元一的練習
   作者：張凱慶 */
