// 引入標準程式庫中相關的輸入、輸出程式
#include <iostream>

// std 為標準程式庫的命名空間
using namespace std;

int main(void) {
    // 接收使用者輸入的變數
    string m;
    // 自訂訊息前的字串內容
    string m_b("訊息前的字串內容");
    // 自訂訊息後的字串內容
    string m_a("訊息後的字串內容");

    // 接收使用者輸入
    getline(cin, m);
    // 以下檢測使用者是否直接按下 Enter 鍵
    while (m == "") {
        getline(cin, m);
    }
    // 印出空行
    cout << endl;
    // 印出使用者輸入字串前的訊息
    cout << m_b << endl;
    // 印出使用者輸入字串
    cout << m << endl;
    // 印出使用者輸入字串後的訊息
    cout << m_a << endl;
    // 印出空行
    cout << endl;

    // 最後回傳 0 給作業系統
    return 0;
}

/* 《程式語言教學誌》的範例程式
   http://kaiching.org/
   檔名：exercise0109.cxx
   編譯：g++ exercise0109.cxx
   執行：./a.out
   功能：C++入門指南單元一的練習
   作者：張凱慶 */
