// 引入標準程式庫中相關的輸入、輸出程式
#include <iostream>

// std 為標準程式庫的命名空間
using namespace std;

int main(void) {
    // 宣告變數 a 為整數 1
    int a = 1;

    // 宣告指標變數 aPtr 並取得 a 的記憶體位址
    int *aPtr = &a;

    // 印出 aPtr
    cout << aPtr << endl;

    // 利用反參考運算子將 a 設定為 2
    *aPtr = 2;

    // 印出 a
    cout << a << endl;

    // 利用反參考運算子將 a 的值設定給 b
    int b = *aPtr;

    // 印出 b
    cout << b << endl;

    // 宣告參考變數 aRef
    int &aRef = a;

    // 印出參考參數 aRef
    cout << aRef << endl;

    // 最後回傳 0 給作業系統
    return 0;
}

/* 《程式語言教學誌》的範例程式
   http://kaiching.org/
   檔名：exercise0404.cxx
   編譯：g++ exercise0404.cxx
   執行：./a.out
   功能：C++入門指南單元四的練習
   作者：張凱慶 */
