// 引入標準程式庫中相關的輸入、輸出程式
#include <iostream>

// std 為標準程式庫的命名空間
using namespace std;

int main(void) {
    // 設定變數 c 為自訂字串內容
    string c = "自訂字串內容";

    // 設定 c 的指標 cPtr
    string *cPtr = &c;

    // 利用指標印出原本變數的內容
    cout << *cPtr << endl;

    // 設定 dPtr 為 cPtr
    string *dPtr = cPtr;

    // 判斷 dPtr 與 cPtr 是否相等
    if (dPtr == cPtr) {
        cout << c << endl;
    }

    // 最後回傳 0 給作業系統
    return 0;
}

/* 《程式語言教學誌》的範例程式
   http://kaiching.org/
   檔名：exercise0407.cxx
   編譯：g++ exercise0407.cxx
   執行：./a.out
   功能：C++入門指南單元四的練習
   作者：張凱慶 */
