// 引入標準程式庫中相關的輸入、輸出程式
#include <iostream>

// std 為標準程式庫的命名空間
using namespace std;

int main(void) {
    // 不做工作的 while 迴圈
    int i = 0;
    cout << "***while begin***" << endl;
    while (i > 0) {
        cout << i << endl;
        i--;
    }
    cout << "***while end***" << endl;

    // 只做第一次工作的 do-while 迴圈
    int j = 0;
    cout << "***do-while begin***" << endl;
    do {
        cout << j << endl;
        j--;
    } while (j > 0);
    cout << "***do-while end***" << endl;

    // 最後回傳 0 給作業系統
    return 0;
}

/* 《程式語言教學誌》的範例程式
   http://kaiching.org/
   檔名：exercise0802.cxx
   編譯：g++ exercise0802.cxx
   執行：./a.out
   功能：C++入門指南單元八的練習
   作者：張凱慶 */
