// 引入標準程式庫中相關的輸入、輸出程式
#include <iostream>

// std 為標準程式庫的命名空間
using namespace std;

// 宣告函數原型
int fibonacci(int);

int main(void) {
    // 印出第二十個費氏數列的數字
    cout << endl;
    cout << fibonacci(20) << endl;
    cout << endl;

    // 最後回傳 0 給作業系統
    return 0;
}

// 計算費氏數列的函數
int fibonacci(int n) {
    // 計算費氏數列的數字
    if (n == 1 || n == 2) {
        return 1;
    }
    else {
        // 計算到 n 的費氏數列數字
        int n1 = 1;
        int n2 = 1;
        int n3;
        for (int i = 3; i <= n; i++) {
            n3 = n1 + n2;
            n1 = n2;
            n2 = n3;
        }

        return n3;
    }
}

/* 《程式語言教學誌》的範例程式
   http://kaiching.org/
   檔名：exercise0908.cxx
   編譯：g++ exercise0908.cxx
   執行：./a.out
   功能：C++入門指南單元九的練習
   作者：張凱慶 */
