// 引入標準程式庫中相關的輸入、輸出程式
#include <iostream>

// std 為標準程式庫的命名空間
using namespace std;

// 宣告 Guess 類別
class Guess {
// 宣告 public 成員
public:
    string answer;
};

// 宣告 Game 類別
class Game {
// 宣告 public 成員
public:
    Guess guess;
    void Run();
};

// 實作 Game 的 Run() 成員函數
void Game::Run() {
    // 印出 answer
    cout << endl;
    cout << guess.answer << endl;
    cout << endl;
}

int main(void) {
    // 宣告建立執行 Game 物件
    Game game;
    game.guess.answer = "0";
    game.Run();

    // 最後回傳 0 給作業系統
    return 0;
}

/* 《程式語言教學誌》的範例程式
   http://kaiching.org/
   檔名：exercise1015.cxx
   編譯：g++ exercise1015.cxx
   執行：./a.out
   功能：C++入門指南單元十的練習
   作者：張凱慶 */
