// 引入標準程式庫中相關的輸入、輸出程式
#include <iostream>

// std 為標準程式庫的命名空間
using namespace std;

// 宣告 Guess 類別
class Guess {
// 宣告 public 成員
public:
    void set_a(string);
    string get_a();

private:
    string answer;
};

// 實作 setter 成員函數
void Guess::set_a(string n) {
    answer = n;
}

// 實作 getter 成員函數
string Guess::get_a() {
    return answer;
}

int main(void) {
    // 宣告建立 Guess 物件
    Guess g;
    // 將 answer 設定為字串 0
    g.set_a("0");

    // 印出 answer
    cout << endl;
    cout << g.get_a() << endl;
    cout << endl;

    // 最後回傳 0 給作業系統
    return 0;
}

/* 《程式語言教學誌》的範例程式
   http://kaiching.org/
   檔名：exercise1106.cxx
   編譯：g++ exercise1106.cxx
   執行：./a.out
   功能：C++入門指南單元十一的練習
   作者：張凱慶 */
