// 引入標準程式庫中相關的 string
#include <string>

// 須引進標頭檔
#include "exercise1307.h"

// std 為標準程式庫的命名空間
using namespace std;

// 實作建構函數
Text::Text(string c) {
    set_c(c);
}

// 實作 setter 成員函數
void Text::set_c(string n) {
    content = n;
}

// 實作 getter 成員函數
string Text::get_c() {
    return content;
}

/* 《程式語言教學誌》的範例程式
   http://kaiching.org/
   檔名：exercise1307.cxx
   編譯：g++ exercise1307.cxx exercise1307_demo.cxx
   執行：./a.out
   功能：C++入門指南單元十三的練習
   作者：張凱慶 */
