// 引入標準程式庫中相關的 string
#include <string>

// 須引進標頭檔
#include "exercise1309.h"

// std 為標準程式庫的命名空間
using namespace std;

// 實作建構函數
Scene::Scene(int id, string text) {
    set_id(id);
    set_text(text);
}

// 實作 setter 成員函數
void Scene::set_id(int n) {
    id = n;
}

void Scene::set_text(string n) {
    text = n;
}

// 實作 getter 成員函數
int Scene::get_id() {
    return id;
}

string Scene::get_text() {
    return text;
}

/* 《程式語言教學誌》的範例程式
   http://kaiching.org/
   檔名：exercise1309.cxx
   編譯：g++ exercise1309_demo.cxx exercise1309.cxx
   執行：./a.out
   功能：C++入門指南單元十三的練習
   作者：張凱慶 */
