// 引入標準程式庫中相關的輸入、輸出程式
#include <iostream>

// cout 為 std 中的輸出物件
using std::cout;
// endl 為 std 中的斷行符號
using std::endl;

int main(void) {
    // 宣告二維整數陣列
    int a[9][9];

    // 利用巢狀迴圈設定並印出陣列元素
    for (int i = 1; i < 10; i++) {
        for (int j = 1; j < 10; j++) {
            a[i][j] = i * j;
            if (j != 9) {
                cout << a[i][j] << ", ";
            }
            else {
                cout << a[i][j];
            }
        }
        cout << endl;
    }

    // 最後回傳 0 給作業系統
    return 0;
}

/* 《程式語言教學誌》的範例程式
   http://kaiching.org/
   檔名：exercise1405.cxx
   編譯：g++ exercise1405.cxx
   執行：./a.out
   功能：C++入門指南單元十四的練習
   作者：張凱慶 */
