// 引入標準程式庫中相關的輸入、輸出程式
#include <iostream>

// cout 為 std 中的輸出物件
using std::cout;
// endl 為 std 中的斷行符號
using std::endl;

int main(void) {
    // 宣告建立整數陣列
    int a[] = {1, 2, 3, 4, 5};
    // 將整數陣列設定給指標
    int *aPtr = a;

    // 利用指標印出每一個陣列元素
    for (int i = 0; i < 5; i++) {
        cout << *aPtr++ << endl;
    }

    // 最後回傳 0 給作業系統
    return 0;
}

/* 《程式語言教學誌》的範例程式
   http://kaiching.org/
   檔名：exercise1502.cxx
   編譯：g++ exercise1502.cxx
   執行：./a.out
   功能：C++入門指南單元十五的練習
   作者：張凱慶 */
