// 引入標準程式庫中相關的輸入、輸出程式
#include <iostream>

// cout 為 std 中的輸出物件
using std::cout;
// endl 為 std 中的斷行符號
using std::endl;

int main(void) {
    // 宣告浮點數變數 a
    float a = 10.51;
    // 印出浮點數變數 a
    cout << a << endl;
    // float 轉換成 int
    cout << (int) a << endl;
    // float 轉換成 int
    cout << static_cast<int>(a) << endl;

    // 最後回傳 0 給作業系統
    return 0;
}

/* 《程式語言教學誌》的範例程式
   http://kaiching.org/
   檔名：exercise1509.cxx
   編譯：g++ exercise1509.cxx
   執行：./a.out
   功能：C++入門指南單元十五的練習
   作者：張凱慶 */
