// 引入標準程式庫中相關的輸入、輸出程式
#include <iostream>
// 引入標準程式庫中的 vector
#include <vector>

// cout 為 std 中的輸出物件
using std::cout;
// endl 為 std 中的斷行符號
using std::endl;
// vector 為 std 中的集合體型態
using std::vector;

int main(void) {
    // 宣告建立整數 vector
    vector<int> v(5);

    // 利用迴圈印出 vector 元素
    if (!v.empty()) {
        for (int i = 0; i < v.size(); i++) {
            cout << v.at(i) << ' ';
        }
        cout << endl;
    }
    else {
        cout << -1 << endl;
    }

    // 最後回傳 0 給作業系統
    return 0;
}

/* 《程式語言教學誌》的範例程式
   http://kaiching.org/
   檔名：exercise1603.cxx
   編譯：g++ exercise1603.cxx
   執行：./a.out
   功能：C++入門指南單元十六的練習
   作者：張凱慶 */
