// 引入標準程式庫中相關的輸入、輸出程式
#include <iostream>
// 引入標準程式庫中的 shuffle
#include <algorithm>
// 引入標準程式庫中的 default_random_engine
#include <random>

// cout 為 std 中的輸出物件
using std::cout;
// endl 為 std 中的斷行符號
using std::endl;
// shuffle 為 std 中的攪亂函數
using std::shuffle;
// default_random_engine 為 std 中的擬隨機數產生器
using std::default_random_engine;

int main(void) {
    // 宣告建立整數陣列
    int a[10] = {0, 1, 2, 3, 4, 5, 6, 7, 8, 9};
    // 攪亂整數陣列中的元素順序
    shuffle(&a[0], &a[10], default_random_engine(0));

    // 印出整數陣列的元素
    for (int i = 0; i < 10; i++) {
        cout << a[i] << ' ';
    }
    cout << endl;

    // 最後回傳 0 給作業系統
    return 0;
}

/* 《程式語言教學誌》的範例程式
   http://kaiching.org/
   檔名：exercise1706.cxx
   編譯：g++ exercise1706.cxx
   執行：./a.out
   功能：C++入門指南單元十七的練習
   作者：張凱慶 */
