// 引入標準程式庫中相關的輸入、輸出程式
#include <iostream>
// 引入標準程式庫中時間日期的相關程式
#include <ctime>

// cout 為 std 中的輸出物件
using std::cout;
// endl 為 std 中的斷行符號
using std::endl;

int main(void) {
    // 取得現在時間總秒數
    time_t now = time(0);

    // 轉換成時間格式結構
    tm *lts = localtime(&now);

    cout << "現在是西元" << 1900 + lts->tm_year;
    cout << "年，" << 1 + lts->tm_mon;
    cout << "月，" << lts->tm_mday;
    cout << "日，" << lts->tm_hour;
    cout << "點，" << lts->tm_min;
    cout << "分，" << lts->tm_sec;
    cout << "秒。" << endl;

    // 最後回傳 0 給作業系統
    return 0;
}

/* 《程式語言教學誌》的範例程式
   http://kaiching.org/
   檔名：exercise1807.cxx
   編譯：g++ exercise1807.cxx
   執行：./a.out
   功能：C++入門指南單元十八的練習
   作者：張凱慶 */
