// 引入標準程式庫中相關的輸入、輸出程式
#include <iostream>
// 引入標準程式庫中的 set
#include <set>

// cout 為 std 中的輸出物件
using std::cout;
// endl 為 std 中的斷行符號
using std::endl;
// set 為 std 中的集合體型態
using std::set;

int main(void) {
    // 宣告建立整數 set
    set<int> s {1, 2, 3, 4, 5};

    // 若 s 不為空則印出 s 的元素數量
    if (!s.empty()) {
        cout << s.size() << endl;
    }

    // 最後回傳 0 給作業系統
    return 0;
}

/* 《程式語言教學誌》的範例程式
   http://kaiching.org/
   檔名：exercise2002.cxx
   編譯：g++ exercise2002.cxx -std=c++11
   執行：./a.out
   功能：C++入門指南單元二十的練習
   作者：張凱慶 */
