// 引入標準程式庫中相關的輸入、輸出程式
#include <iostream>
// 引入標準程式庫中的 deque
#include <deque>

// cout 為 std 中的輸出物件
using std::cout;
// endl 為 std 中的斷行符號
using std::endl;
// deque 為 std 中的集合體型態
using std::deque;

int main(void) {
    // 宣告建立整數 deque
    deque<int> d = {1, 2, 3, 4};

    // 在 deque 頭尾插入元素
    d.push_front(999);
    d.push_back(99);

    // 利用迴圈印出 deque 元素
    for (int e: d) {
        cout << e << endl;
    }

    // 最後回傳 0 給作業系統
    return 0;
}

/* 《程式語言教學誌》的範例程式
   http://kaiching.org/
   檔名：exercise2101.cxx
   編譯：g++ exercise2101.cxx -std=c++11
   執行：./a.out
   功能：C++入門指南單元二十一的練習
   作者：張凱慶 */
