// 引入標準程式庫中相關的輸入、輸出程式
#include <iostream>
// 引入標準程式庫中數學相關程式
#include <cmath>

// cout 為 std 中的輸出物件
using std::cout;
// endl 為 std 中的斷行符號
using std::endl;

int main(void) {
    // 計算正弦函數
    cout << sin(acos(-1)/6) << endl;
    cout << sin(acos(-1)/4) << endl;
    cout << sin(acos(-1)/3) << endl;
    cout << sin(acos(-1)/2) << endl;
    cout << sin(0) << endl;

    // 最後回傳 0 給作業系統
    return 0;
}

/* 《程式語言教學誌》的範例程式
   http://kaiching.org/
   檔名：exercise2106.cxx
   編譯：g++ exercise2106.cxx
   執行：./a.out
   功能：C++入門指南單元二十一的練習
   作者：張凱慶 */
