// 引入標準程式庫中相關的輸入、輸出程式
#include <iostream>
// 引入標準程式庫中相關的字串程式
#include <string>

// cout 為 std 中的輸出物件
using std::cout;
// endl 為 std 中的斷行符號
using std::endl;
// stoi 為 std 中字串轉換成整數的函數
using std::stoi;

int main(int argc, char *argv[]) {
    // 計算總數的變數
    int sum = 0;

    // 將命令列參數加總
    for(int i = 1; i < argc; i++) {
		sum += stoi(argv[i]);
	}

    // 印出總數
    cout << sum << endl;

    // 最後回傳 0 給作業系統
    return 0;
}

/* 《程式語言教學誌》的範例程式
   http://kaiching.org/
   檔名：exercise2202.cxx
   編譯：g++ exercise2202.cxx
   執行：./a.out 11 22 33
   功能：C++入門指南單元二十二的練習
   作者：張凱慶 */
