// 引入標準程式庫中相關的輸入、輸出程式
#include <iostream>
// 引入標準程式庫中檔案系統的工具程式
#include <filesystem>

// cout 為 std 中的輸出物件
using std::cout;
// endl 為 std 中的斷行符號
using std::endl;
// exists 為 std 中判斷檔案是否存在的函數
using std::filesystem::exists;

int main(void) {
    // 判斷檔案是否存在
    if (exists("demo.cxx")) {
        cout << "檔案存在" << endl;
    }
    else {
        cout << "檔案不存在" << endl;
    }

    // 最後回傳 0 給作業系統
    return 0;
}

/* 《程式語言教學誌》的範例程式
   http://kaiching.org/
   檔名：exercise2307.cxx
   編譯：g++ exercise2307.cxx -std=c++17
   執行：./a.out
   功能：C++入門指南單元二十三的練習
   作者：張凱慶 */
