// 引入標準程式庫中相關的輸入、輸出程式
#include <iostream>
// 引入標準程式庫中檔案系統的工具程式
#include <filesystem>

// cout 為 std 中的輸出物件
using std::cout;
// endl 為 std 中的斷行符號
using std::endl;
// is_empty 為 std 中判斷檔案是否為空的函數
using std::filesystem::is_empty;

int main(void) {
    // 判斷指定檔案是否為空
    cout << is_empty("demo.cxx") << endl;

    // 最後回傳 0 給作業系統
    return 0;
}

/* 《程式語言教學誌》的範例程式
   http://kaiching.org/
   檔名：exercise2310.cxx
   編譯：g++ exercise2310.cxx -std=c++17
   執行：./a.out
   功能：C++入門指南單元二十三的練習
   作者：張凱慶 */
