// 引入標準程式庫中相關的輸入、輸出程式
#include <iostream>
// 引入標準程式庫中相關的 string
#include <string>

// cout 為 std 中的輸出物件
using std::cout;
// endl 為 std 中的斷行符號
using std::endl;
// string 為 std 中字串型態
using std::string;

int main(void) {
    // 設定字串
    string s = "Free your mind.";

    // 先測試是否不是空字串
    if (!s.empty()) {
        // 不是空字串就印出字串內容
        cout << s << endl;
    }
    else {
        // 空字串印出相對訊息
        cout << "空字串" << endl;
    }

    // 最後回傳 0 給作業系統
    return 0;
}

/* 《程式語言教學誌》的範例程式
   http://kaiching.org/
   檔名：exercise2401.cxx
   編譯：g++ exercise2401.cxx
   執行：./a.out
   功能：C++入門指南單元二十四的練習
   作者：張凱慶 */
