#include <iostream>
#include <string>

using namespace std;

int main(void) {
    // a 為字串變數
    string a = "There is no spoon.";
    cout << a << endl;

    // b 為對 a 的指標
    string *b = &a;
    cout << b << endl;

    // c 為對 a 的參考
    string &c = a;
    cout << c << endl;

    // d 為另一個指標
    string *d = new string("There is no spoon.");
    cout << d << endl;

    return 0;
}

/* 《程式語言教學誌》的範例程式
   https://kaiching.org/
   檔名：pointer_demo2.cxx
   功能：示範指標及參考運算子
   作者：張凱慶 */
