// 引入標準程式庫中相關的輸入、輸出程式
#include <iostream>

// std 為標準程式庫的命名空間
using namespace std;

int main(void) {
    // 宣告三個整數變數及一個字串變數
    double a, b, result;
    string op;

    // 取得使用者輸入
    cin >> a;
    cin >> op;
    cin >> b;

    // 判斷運算子然後做相對應的計算
    if (op == "+") {
        result = a + b;
    }
    else if (op == "-") {
        result = a - b;
    }
    else if (op == "*") {
        result = a * b;
    }
    else if (op == "/") {
        result = a / b;
    }
    else {
        result = -999999;
    }

    // 印出結果
    cout << result << endl;

    // 最後回傳 0 給作業系統
    return 0;
}

/* 《程式語言教學誌》的範例程式
   http://kaiching.org/
   檔名：exercise0604.cxx
   編譯：g++ exercise0604.cxx
   執行：./a.out
   功能：C++入門指南單元六的練習
   作者：張凱慶 */
