// 引入標準程式庫中相關的輸入、輸出程式
#include <iostream>

// std 為標準程式庫的命名空間
using namespace std;

int main(void) {
    // 宣告整數變數 a
    int a;

    // 取得使用者輸入
    cin >> a;

    // 利用 switch 與 ... 判斷整數變數 a
    switch (a) {
        case 0 ... 59:
            cout << "0 ... 60" << endl;
            break;
        case 60 ... 69:
            cout << "60 ... 69" << endl;
            break;
        case 70 ... 79:
            cout << "70 ... 79" << endl;
            break;
        case 80 ... 89:
            cout << "80 ... 89" << endl;
            break;
        case 90 ... 99:
            cout << "90 ... 99" << endl;
            break;
        case 100:
            cout << "100" << endl;
            break;
        default:
            cout << "a > 100 || a < 0" << endl;
            break;
    }

    // 最後回傳 0 給作業系統
    return 0;
}

/* 《程式語言教學誌》的範例程式
   http://kaiching.org/
   檔名：exercise0710.cxx
   編譯：g++ exercise0710.cxx
   執行：./a.out
   功能：C++入門指南單元七的練習
   作者：張凱慶 */
