// 引入標準程式庫中相關的輸入、輸出程式
#include <iostream>

// std 為標準程式庫的命名空間
using namespace std;

// 宣告函數原型
int sum(int);

int main(void) {
    // 印出 sum() 的回傳值
    cout << sum(10) << endl;
    cout << sum(3652) << endl;
    cout << sum(-160) << endl;

    // 最後回傳 0 給作業系統
    return 0;
}

// 定義函數 sum()
int sum(int p) {
    // 計算 1 到 p 之間所有整數的總和
    int result = 0;
    for (int i = 1; i <= p; i++) {
        result += i;
    }

    // 回傳計算結果
    return result;
}

/* 《程式語言教學誌》的範例程式
   http://kaiching.org/
   檔名：exercise0903.cxx
   編譯：g++ exercise0903.cxx
   執行：./a.out
   功能：C++入門指南單元九的練習
   作者：張凱慶 */
