// 引入標準程式庫中相關的輸入、輸出程式
#include <iostream>

// std 為標準程式庫的命名空間
using namespace std;

// 宣告 Scene 類別
class Scene {
// 宣告 public 成員
public:
    void set_id(int);
    void set_text(string);
    int get_id();
    string get_text();

private:
    int id;
    string text;
};

// 實作 setter 成員函數
void Scene::set_id(int n) {
    id = n;
}

void Scene::set_text(string n) {
    text = n;
}

// 實作 getter 成員函數
int Scene::get_id() {
    return id;
}

string Scene::get_text() {
    return text;
}

int main(void) {
    // 宣告建立 Scene 物件
    Scene s;
    s.set_id(0);
    s.set_text("demo");

    // 印出 content
    cout << endl;
    cout << s.get_id() << endl;
    cout << s.get_text() << endl;
    cout << endl;

    // 最後回傳 0 給作業系統
    return 0;
}

/* 《程式語言教學誌》的範例程式
   http://kaiching.org/
   檔名：exercise1110.cxx
   編譯：g++ exercise1110.cxx
   執行：./a.out
   功能：C++入門指南單元十一的練習
   作者：張凱慶 */
