// 引入標準程式庫中相關的輸入、輸出程式
#include <iostream>

// 須引進標頭檔
#include "exercise1301.h"

// std 為標準程式庫的命名空間
using namespace std;

int main(void) {
    // 宣告建立 IntegerDemo 物件
    IntegerDemo a(10);

    // 對 IntegerDemo 物件進行測試
    a.Add(34);
    a.Subtract(23);
    a.Multiply(22);
    a.Divide(3);
    a.Modulo(5);

    // 印出 value 成員變數
    cout << endl;
    cout << a.get_value() << endl;
    cout << endl;

    // 最後回傳 0 給作業系統
    return 0;
}

/* 《程式語言教學誌》的範例程式
   http://kaiching.org/
   檔名：exercise1301_demo.cxx
   編譯：g++ exercise1301.cxx exercise1301_demo.cxx
   執行：./a.out
   功能：C++入門指南單元十三的練習
   作者：張凱慶 */
