// 須引進標頭檔
#include "exercise1303.h"

// 實作建構函數
FibonacciDemo::FibonacciDemo(int n) {
    set_value(n);
}

// 實作 setter 成員函數
void FibonacciDemo::set_value(int p) {
    // 計算費氏數列的數字
    if (p == 1 || p == 2) {
        value = 1;
    }
    else {
        // 計算到 n 的費氏數列數字
        int n1 = 1;
        int n2 = 1;
        int n3;
        for (int i = 3; i <= p; i++) {
            n3 = n1 + n2;
            n1 = n2;
            n2 = n3;
        }

        value = n3;
    }
}

// 實作 getter 成員函數
int FibonacciDemo::get_value() {
    return value;
}

/* 《程式語言教學誌》的範例程式
   http://kaiching.org/
   檔名：exercise1303.cxx
   編譯：g++ exercise1303.cxx exercise1303_demo.cxx
   執行：./a.out
   功能：C++入門指南單元十三的練習
   作者：張凱慶 */
