// 使用絕對值函數 abs()
#include <cmath>
// 使用 to_string()
#include <string>

// 須引進標頭檔
#include "exercise1304.h"

// 實作建構函數
Point::Point() {
    set_x(0);
    set_x(0);
}

Point::Point(int x, int y) {
    set_x(x);
    set_y(y);
}

// 實作 setter 成員函數
void Point::set_x(int n) {
    x = n;
}

void Point::set_y(int n) {
    y = n;
}

// 實作 getter 成員函數
string Point::get_point() {
    return "(" + to_string(get_x()) + ", " + to_string(get_y()) + ")";
}

int Point::get_x() {
    return x;
}

int Point::get_y() {
    return y;
}

// 實作 Point 的 Distance() 成員函數
int Point::Distance(Point p) {
    return abs(p.get_x() - get_x()) + abs(p.get_y() - get_y());
}

/* 《程式語言教學誌》的範例程式
   http://kaiching.org/
   檔名：exercise1304.cxx
   功能：C++入門指南單元十三的練習
   作者：張凱慶 */
