// 引入標準程式庫中相關的 string
#include <string>

// 須引進標頭檔
#include "exercise1306.h"

// std 為標準程式庫的命名空間
using namespace std;

// 實作建構函數
Member::Member(int id, string name) {
    set_id(id);
    set_name(name);
}

// 實作 setter 成員函數
void Member::set_id(int n) {
    id = n;
}

void Member::set_name(string n) {
    name = n;
}

// 實作 getter 成員函數
int Member::get_id() {
    return id;
}

string Member::get_name() {
    return name;
}

/* 《程式語言教學誌》的範例程式
   http://kaiching.org/
   檔名：exercise1306.cxx
   編譯：g++ exercise1306.cxx exercise1306_demo.cxx
   執行：./a.out
   功能：C++入門指南單元十三的練習
   作者：張凱慶 */
