// 引入標準程式庫中相關的 string
#include <string>

// 須引進標頭檔
#include "exercise1308.h"

// std 為標準程式庫的命名空間
using namespace std;

// 實作建構函數
Ball::Ball(Point n) {
    set_p(n);
}

// 實作 Ball 類別的 setter 成員函數
void Ball::set_p(Point n) {
    p = n;
}

// 實作 Ball 類別的 getter 成員函數
string Ball::get_p() {
    return p.get_point();
}

/* 《程式語言教學誌》的範例程式
   http://kaiching.org/
   檔名：exercise1308.cxx
   編譯：g++ exercise1308_demo.cxx exercise1308.cxx exercise1304.cxx
   執行：./a.out
   功能：C++入門指南單元十三的練習
   作者：張凱慶 */
