// 引入標準程式庫中相關的輸入、輸出程式
#include <iostream>
// 引入標準程式庫中相關的 string
#include <string>

// 須引進標頭檔
#include "exercise1310.h"

// std 為標準程式庫的命名空間
using namespace std;

// 實作建構函數
Game::Game(Guess g) {
    set_g(g);
}

// 實作 Game 類別的 setter 成員函數
void Game::set_g(Guess g) {
    guess = g;
}

// 實作 Game 類別的 getter 成員函數
string Game::get_g() {
    return guess.get_a();
}

// 實作 Game 的 Run() 成員函數
void Game::Run() {
    // 印出 answer
    cout << endl;
    cout << guess.get_a() << endl;
    cout << endl;
}

/* 《程式語言教學誌》的範例程式
   http://kaiching.org/
   檔名：exercise1310.cxx
   編譯：g++ exercise1310_demo.cxx exercise1310.cxx exercise1305.cxx
   執行：./a.out
   功能：C++入門指南單元十三的練習
   作者：張凱慶 */
