// 引入標準程式庫中相關的輸入、輸出程式
#include <iostream>

// cout 為 std 中的輸出物件
using std::cout;
// endl 為 std 中的斷行符號
using std::endl;

int main(void) {
    // 宣告並且用字面常數建立整數陣列
    int a[5] = {1, 2, 3, 4 ,5};

    // 利用索引值修改陣列元素
    a[2] = 100;
    a[4] = 200;

    // 印出陣列元素
    cout << a[2] << endl;
    cout << a[4] << endl;

    // 最後回傳 0 給作業系統
    return 0;
}

/* 《程式語言教學誌》的範例程式
   http://kaiching.org/
   檔名：exercise1403.cxx
   編譯：g++ exercise1403.cxx
   執行：./a.out
   功能：C++入門指南單元十四的練習
   作者：張凱慶 */
