// 引入標準程式庫中相關的輸入、輸出程式
#include <iostream>

// cout 為 std 中的輸出物件
using std::cout;
// endl 為 std 中的斷行符號
using std::endl;

int main(void) {
    // 宣告整數陣列
    int a[5];

    // 利用迴圈設定陣列元素
    int v = 0;
    for (int i = 0; i < 5; i++) {
        a[i] = ++v;
    }

    // 利用迴圈印出陣列元素
    for (int i = 0; i < 5; i++) {
        cout << a[i] << endl;
    }

    // 最後回傳 0 給作業系統
    return 0;
}

/* 《程式語言教學誌》的範例程式
   http://kaiching.org/
   檔名：exercise1404.cxx
   編譯：g++ exercise1404.cxx
   執行：./a.out
   功能：C++入門指南單元十四的練習
   作者：張凱慶 */
