// 引入標準程式庫中相關的輸入、輸出程式
#include <iostream>
// 引入標準程式庫中相關的型態資訊程式
#include <typeinfo>

// cout 為 std 中的輸出物件
using std::cout;
// endl 為 std 中的斷行符號
using std::endl;

int main(void) {
    // 宣告數字與字元變數
    char a = 'a';
    short b = 1;
    int c = 2;
    float d = 3.0;

    // 印出 char 與 short 混合計算後的型態
    cout << typeid(a + b).name() << endl;
    // 印出 char 與 int 混合計算後的型態
    cout << typeid(a + c).name() << endl;
    // 印出 char 與 float 混合計算後的型態
    cout << typeid(a + d).name() << endl;

    // 最後回傳 0 給作業系統
    return 0;
}

/* 《程式語言教學誌》的範例程式
   http://kaiching.org/
   檔名：exercise1409.cxx
   編譯：g++ exercise1409.cxx
   執行：./a.out
   功能：C++入門指南單元十四的練習
   作者：張凱慶 */
