// 引入標準程式庫中相關的輸入、輸出程式
#include <iostream>
// 引入標準程式庫中的 vector
#include <vector>

// cout 為 std 中的輸出物件
using std::cout;
// endl 為 std 中的斷行符號
using std::endl;
// vector 為 std 中的集合體型態
using std::vector;

int main(void) {
    // 宣告建立整數 vector
    vector<int> v(5);

    // 利用迴圈初始化 vector
    for (int i = 0; i < 5; i++) {
        v[i] = i;
    }

    // 印出 v 中的第四個元素
    cout << v.at(3) << endl;
    // 印出 v 中的最後一個元素
    cout << v.back() << endl;
    // 印出 v 中的第一個元素
    cout << v.front() << endl;

    // 最後回傳 0 給作業系統
    return 0;
}

/* 《程式語言教學誌》的範例程式
   http://kaiching.org/
   檔名：exercise1602.cxx
   編譯：g++ exercise1602.cxx
   執行：./a.out
   功能：C++入門指南單元十六的練習
   作者：張凱慶 */
