// 引入標準程式庫中相關的輸入、輸出程式
#include <iostream>
// 引入標準程式庫中時間日期的相關程式
#include <ctime>

// cout 為 std 中的輸出物件
using std::cout;
// endl 為 std 中的斷行符號
using std::endl;

int main(void) {
    // 取得現在時間總秒數
    time_t now = time(0);

    // 轉換成字串形式
    char* dt = ctime(&now);

    // 印出現在時間日期
    cout << "現在時間日期：" << dt << endl;

    // 最後回傳 0 給作業系統
    return 0;
}

/* 《程式語言教學誌》的範例程式
   http://kaiching.org/
   檔名：exercise1806.cxx
   編譯：g++ exercise1806.cxx
   執行：./a.out
   功能：C++入門指南單元十八的練習
   作者：張凱慶 */
