// 引入標準程式庫中相關的輸入、輸出程式
#include <iostream>
// 引入標準程式庫中數學相關程式
#include <numeric>

// cout 為 std 中的輸出物件
using std::cout;
// endl 為 std 中的斷行符號
using std::endl;
// gcd 為 std 中計算最大公因數的函數
using std::gcd;

int main(void) {
    // 計算最大公因數
    cout << gcd(20, 6) << endl;
    cout << gcd(20, 7) << endl;
    cout << gcd(20, 8) << endl;
    cout << gcd(20, 9) << endl;
    cout << gcd(20, 10) << endl;

    // 最後回傳 0 給作業系統
    return 0;
}

/* 《程式語言教學誌》的範例程式
   http://kaiching.org/
   檔名：exercise2010.cxx
   編譯：g++ exercise2010.cxx -std=c++17
   執行：./a.out
   功能：C++入門指南單元二十的練習
   作者：張凱慶 */
