// 引入標準程式庫中相關的輸入、輸出程式
#include <iostream>

// cout 為 std 中的輸出物件
using std::cout;
// endl 為 std 中的斷行符號
using std::endl;

int main(int argc, char *argv[]) {
    // 印出命令列參數
    for(int i = 0; i < argc; i++) {
		cout << argv[i] << endl;
	}

    // 最後回傳 0 給作業系統
    return 0;
}

/* 《程式語言教學誌》的範例程式
   http://kaiching.org/
   檔名：exercise2201.cxx
   編譯：g++ exercise2201.cxx
   執行：./a.out 0 1 2 3
   功能：C++入門指南單元二十二的練習
   作者：張凱慶 */
