// 引入標準程式庫中相關的輸入、輸出程式
#include <iostream>
// 引入標準程式庫中檔案系統的工具程式
#include <filesystem>

// cout 為 std 中的輸出物件
using std::cout;
// endl 為 std 中的斷行符號
using std::endl;
// is_directory 為 std 中判斷是否為目錄的函數
using std::filesystem::is_directory;

int main(void) {
    // 顯示指定路徑是否為目錄
    cout << is_directory("demo") << endl;

    // 最後回傳 0 給作業系統
    return 0;
}

/* 《程式語言教學誌》的範例程式
   http://kaiching.org/
   檔名：exercise2309.cxx
   編譯：g++ exercise2309.cxx -std=c++17
   執行：./a.out
   功能：C++入門指南單元二十三的練習
   作者：張凱慶 */
